Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038620
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-05-24 17:302018-06-08 07:29
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision07613a7602fb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038620: Reset Accounting process is not considering specific day set but deleting accounting of entire month

DescriptionIn case Reset Accounting process is run setting specific Starting Date and Ending date, accounting information for entire month will be deleted
Steps To Reproduce1. Run General Ledger Report with parameters:
   a) From Date= 01-01-2018
   b) To Date= 31-12-2018
   c) Organization = España
   d) General Ledger = España
   e) From account "43000 Clientes (euros) a corto plazo" to account "43000 Clientes (euros) a corto plazo"
2. Realize that exists accounting information from different days of february 2018 (12-02-2018, 13-02-2018 and 14-02-2018)
3. Run Reset accounting process with parameters:
   a) Organization= España
   b) Delete existing accounting entries= YES
   c) Starting date= 12-02-2018
   d) Ending date= 12-02-2018
4. Run General Ledger Report again using same parameters and verify that all februey entries have been deleted and not only the one for 12-02-2018
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104856)
AtulOpenbravo (developer)
2018-05-31 22:15

Test Plan

- Run General Ledger Report with parameters:
   a) From Date= 01-01-2018
   b) To Date= 31-12-2018
   c) Organization = F&B España, S.A
   d) General Ledger = F&B España, S.A US/A/EURO
   e) From account "43000 Clientes (euros) a corto plazo" to account "43000 Clientes (euros) a corto plazo"
- Realize that there exists accounting information from different days of February 2018 (12-02-2018, 13-02-2018 and 14-02-2018)
- Run Reset accounting process with parameters:
   a) Organization= F&B España, S.A
   b) Delete existing accounting entries= YES
   c) Starting date= 12-02-2018
   d) Ending date= 12-02-2018
- Run General Ledger Report again using same parameters and verify that all entries have been deleted for only the one whose date is 12-02-2018.
(0104982)
hgbot (developer)
2018-06-06 17:47

Repository: erp/devel/pi
Changeset: 07613a7602fbd25a9a227eef42966c39eb50d46c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jun 04 00:07:30 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/07613a7602fbd25a9a227eef42966c39eb50d46c [^]

Fixes Issue 38620: Reset Accounting process is not considering
specific day set but deleting accounting of entire month

Fetch data from fact_acct for Date filters when applied From
Date and To Date, if not applied then use periods Starting
Date and Ending Date.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0104983)
hgbot (developer)
2018-06-06 17:47

Repository: erp/devel/pi
Changeset: 9cd5f090b3797c853ce921e57d22cff79ab02f9c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Jun 06 17:46:08 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9cd5f090b3797c853ce921e57d22cff79ab02f9c [^]

Related to Issue 38620. Code Review changes.

Renamed vairables to make their name more meaningful.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0104984)
dmiguelez (developer)
2018-06-06 17:49

Code Review + Changes Ok
(0105017)
hudsonbot (developer)
2018-06-08 07:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4e0c05c97edf [^]
Maturity status: Test
(0105018)
hudsonbot (developer)
2018-06-08 07:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4e0c05c97edf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-24 17:30 maite New Issue
2018-05-24 17:30 maite Assigned To => Triage Finance
2018-05-24 17:30 maite Modules => Core
2018-05-24 17:30 maite Triggers an Emergency Pack => No
2018-05-24 17:30 maite Issue Monitored: networkb
2018-05-28 17:34 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-05-31 22:15 AtulOpenbravo Status new => scheduled
2018-05-31 22:15 AtulOpenbravo Note Added: 0104856
2018-06-06 17:47 hgbot Checkin
2018-06-06 17:47 hgbot Note Added: 0104982
2018-06-06 17:47 hgbot Status scheduled => resolved
2018-06-06 17:47 hgbot Resolution open => fixed
2018-06-06 17:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/07613a7602fbd25a9a227eef42966c39eb50d46c [^]
2018-06-06 17:47 hgbot Checkin
2018-06-06 17:47 hgbot Note Added: 0104983
2018-06-06 17:49 dmiguelez Review Assigned To => dmiguelez
2018-06-06 17:49 dmiguelez Note Added: 0104984
2018-06-06 17:49 dmiguelez Status resolved => closed
2018-06-06 17:49 dmiguelez Fixed in Version => 3.0PR18Q3
2018-06-08 07:29 hudsonbot Checkin
2018-06-08 07:29 hudsonbot Note Added: 0105017
2018-06-08 07:29 hudsonbot Checkin
2018-06-08 07:29 hudsonbot Note Added: 0105018


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker